import { DialogType, IDatePickerStrings, MessageBarType } from "@fluentui/react";
export interface IForm {
    mode: FormMode;
    code?: string;
    title?: string;
    description?: string;
    dataType?: string;
    rows?: IFormRow[];
    parentKey?: any;
}
interface IFormRow {
    title?: string;
    controls?: IFormControl[];
}
interface IFormControl {
    id: string;
    title?: string;
    placeHolder?: string;
    type: ControlType;
    required?: boolean;
    readOnly?: boolean;
    default?: any;
    multiple?: boolean;
    rows?: number;
    max?: number;
    min?: number;
    href?: string;
    maxLength?: number;
    choiceDisplay?: ChoiceType;
    choiceSchema?: ChoiceSchema;
    choiceCascade?: ChoiceCascade;
    items?: any[];
    discriptions?: string;
    inputMask?: string;
}
export declare enum FormMode {
    AddNew = 1,
    Edit = 2,
    Display = 3,
    List = 4,
    Search = 5
}
export declare enum ControlType {
    Text = 1,
    Note = 2,
    Number = 3,
    Date = 4,
    Toogle = 5,
    Choice = 6,
    Link = 7,
    Attachment = 8,
    InputMask = 9,
    Custom = 10
}
export declare enum ChoiceType {
    Combobox = 1,
    Dropdown = 2,
    Checkbox = 3,
    Radio = 4,
    Suggest = 5
}
export interface ChoiceSchema {
    dataType?: string;
    displayName?: string;
    displayValue?: string;
    targetField?: string;
    targetValue?: string;
    autoRequest?: boolean;
    changeField?: string;
    allowAll?: boolean;
}
export interface ChoiceCascade {
    dataType: string;
    cascadeField: string;
    cascadeFieldValue: string;
}
export declare enum IFormAction {
    NONE = 0,
    ADD = 1,
    UPDATE = 2,
    DELETE = 3,
    CHOTPA = 4
}
export interface IFormValidation {
    mode: FormMode;
    dataType: string;
    validationSchema: any;
    initValues?: any;
}
export declare enum DialogMode {
    None = 0,
    Confirm = 1,
    Alert = 2,
    Close = 3,
    Toast = 4,
    Add = 5
}
export declare enum ToastType {
    None = 0,
    Success = 1,
    Blocked = 2,
    Default = 3,
    Error = 4,
    Warning = 5
}
export interface IMessage {
    mode: DialogMode;
    title: string;
    content: string;
    hiden?: boolean;
    toastType?: ToastType;
    toastMessageType?: MessageBarType;
    actionType?: IFormAction;
    dialogType?: DialogType;
}
export declare const datePickerVN: IDatePickerStrings;
export {};
